\begin{remark}
	$\check H^p(\underline{\mathcal U},\F)$ does not depend on ordering of $I$. Assume there are two orderings, $o_1,o_2$ on $I$. We have
	\[\begin{tikzcd}
		C^p(\underline{\mathcal U},\F) \arrow{r}{\delta_{o_1}} \arrow{d}{T}[swap]{\cong} & C^{p+1}(\underline{\mathcal U},\F) \arrow{d}{T}[swap]{\cong} \\
		C^p(\underline{\mathcal U},\F) \arrow{r}{\delta_{o_2}} & C^{p+1}(\underline{\mathcal U},\F)
	\end{tikzcd}\]
	where \[(T\sigma)_{i_0\dots i_p} = (-1)^g \cdot \sigma_{gi_0\dots gi_p}\] ($i_0\dots i_p$ ordered with respect to $o_2$) where $g \in S_{p+1}$ is the permutation such that $(gi_0, \dots gi_p)$ is in correct oder with respect to $o_1$. We get \begin{align*} (\delta T \sigma)_{i_0 \dots i_{p+1}} & = \sum_{j=0} (-1)^j (T \sigma)_{i_0 \dots \hat i_j \dots i_{p+1}} \\
	& = \sum_{j=0}^{p+1} (-1)^j (-1)^{h_j} \sigma_{h_ji_0 \dots h_ji_{p+1}} \end{align*} where $h_j = \res{g}{\{i_0, \dots i_{p+1} \} \setminus \{i_j\}}$ and $(gi_0 \dots gi_{p+1})$ is in correct order with respect to $o_1$. Furthermore \begin{align*}
		(T\delta \sigma)_{i_0 \dots i_{p+1}} & = (-1)^g (\delta \sigma)_{gi_0 \dots gi_{p+1}} \\
		&= (-1)^g \sum_{j=0}^{p+1} (-1)^{\operatorname{pos}(gi_j)} \sigma_{gi_0 \dots \hat{gi_j} \dots gi_{p+1}}  \,.
	\end{align*} 
	Both results are equal since \[ \begin{tikzcd}
		(i_j ,i_0 ,\dots ,  \hat i_j , \dots , i_{p+1} ) \arrow{r}{(-1)^j} \arrow{d}{(-1)^{h_j}} & (i_0, \dots , i_{p+1}) \arrow{d}{(-1)^g} \\
		(gi_j, gi_0, \dots \hat{gi_j}, \dots gi_{p+1}) \arrow{r}{(-1)^{\operatorname{pos}(gi_j)}} & (gi_0, \dots , gi_{p+1})
	\end{tikzcd} \] commutes. 
	\begin{proof}[Proof of \Cref{refmap}]
		Assume there are $\varphi, \psi \colon J \to I$ as in the definition. Consider \[\begin{tikzcd}
			C^p(\underline{\mathcal U}, \F) \arrow{r}{\delta} \arrow{d} &C^{p+1}(\underline{\mathcal U}, \F) \arrow{d}{R_\varphi-R_\psi} \arrow[dashed]{dl}{D} \arrow{r}{\delta} & C^{p+2}(\underline{\mathcal U}, \F) \arrow{d} \arrow[dashed]{dl}{D} \\
			C^p(\underline{\mathcal V}, \F) \arrow{r}{\delta}  &C^{p+1}(\underline{\mathcal V}, \F)  \arrow{r}{\delta} & C^{p+2}(\underline{\mathcal V}, \F)
		\end{tikzcd} \]
		Assume that $D$ exists. Let $c \in \check H^p(\underline{\mathcal U},\F)$: Lift $c$ to $\tilde c \in \ker(\delta^p)$. Then \[ (\overline R_\varphi - \overline R_\psi)c = \left[(R_\varphi-R_\psi)\tilde c \right] =\left[(\delta D\tilde c + D \delta \tilde c) \right] = \left[\delta(D\tilde c) \right] = 0\,.  \] 
		We will show that $D$ exists. Let $\sigma \in C^{p+1}(\underline{\mathcal U},\F)$. Define \[(D\sigma)_{i_0 \dots i_p} = \sum_{j=0}^{p+1} (-1)^j  \res{\sigma_{\varphi(i_0) \dots \varphi(i_j)\psi(i_j) \dots \psi(i_p)}}{V_{j_0 \dots j_p}} \] where $V_{i_j} \subset U_{\varphi(i_j)}$ and $V_{i_j} \subset U_{\psi(i_j)}$ and $\sigma_{\varphi(i_0) \dots \varphi(i_j)\psi(i_j) \dots \psi(i_p)} \in U_{\varphi(i_0)} \cap \dots \cap U_{\varphi(i_j)} \cap U_{\psi(i_j)} \cap \dots \cap U_{\psi(i_p)}$.
	\end{proof}
\end{remark}
\begin{lemma} \label{lemma1}
	Assume that $\underline{\mathcal U} = \{U_i\}$ is an open cover such that $U_{i_0}=X$ for some $i_0 \in I$. Then $\check H^p(\underline{\mathcal U}, \F) = 0$ for all $p>0$ and for all abelian sheaves $\F$. 
\end{lemma}
\begin{proof}
	Let $\underline{\mathcal V} = \{V_0 =X \}$ be the stupid cover. 
	\begin{itemize}
		\item $\underline{\mathcal U}$ is a refinement of $\underline{\mathcal U}$ with $\varphi \colon I \to J = \{0 \}, i \mapsto 0$.
		\item $\underline{\mathcal V}$ is a refinement of $\underline{\mathcal U}$ with $\psi \colon J \to I, 0 \mapsto i_0$. 
		\item $\underline{\mathcal U}$ is a refinement of $\underline{\mathcal U}$ via $\psi \circ \varphi \colon I \to I, i \mapsto i_0$.
	\end{itemize}	 
	Therefore \[\begin{tikzcd}
			\check H^p(\underline{\mathcal U}, \F) \arrow{r}{\overline{R_\varphi}} \arrow[bend left]{rr}{\overline{R_{\psi \circ \varphi}} = \overline{R_{\id}} = \id} & \check H^p(\underline{\mathcal V}, \F) \arrow{r}{\overline{R_\psi}} & \check H^p (\underline{\mathcal U},\F)
	\end{tikzcd} \]
	Therefore, $\check H^p(\underline{\mathcal U},\F) \cong \check H^p(\underline{\mathcal V},\F)$. Furthermore, $\check H^p(\VC,\F)=0$ for $p>0$ (using a previous example).
\end{proof}
\begin{lemma}[Sheafified \v Cech complex] \label{lemma2} Let $f \colon U_i \hookrightarrow X$. Consider \[\begin{tikzcd}
		\mathcal C^0(\underline{\mathcal U}, \F) = \prod_i f_\ast(\res{\F}{U_i}) \arrow{d}{\delta} \\
		\mathcal C^1(\underline{\mathcal U}, \F) = \prod_{i,j} f_\ast(\res{\F}{U_{ij}}) \arrow{d}{\delta} \\
		\vdots \arrow{d}{\delta} \\
		\mathcal C^{p}(\underline{\mathcal U},\F) = \prod_{i_0 < \dots <i_0} f_\ast(\res{\F}{U_{i_0 \dots i_p}}) \arrow{d}{\delta} \\
		\vdots
	\end{tikzcd} \]
	Then \[\mathcal C^p(\underline{\mathcal U},\F)(V) = \prod_{i_0 < \dots <i_0} f_\ast(\res{\F}{U_{i_0 \dots i_p}})(V) = \prod \F(U_{i_0 \dots i_p} \cap V) = C^p(\underline{\mathcal U} \cap V,\F)\,.\]
	
	The complex \[\begin{tikzcd}
	0 \arrow{r} & \F \arrow{r} & \mathcal C^0(\underline{\mathcal U}) \arrow{r} & \mathcal C^1(\underline{\mathcal U}) \arrow{r} & \mathcal C^2(\underline{\mathcal U}) \arrow{r} & \dots
	\end{tikzcd} \] is exact. in particular, $\mathcal C^\bullet(\underline{\mathcal U}, \F)$ is a resolution of $\F$.
\end{lemma}
\begin{proof}
	Let $x \in X$, let $V$ be an open neighborhood of $x \in X$ such that $V \subset U_{i_0}$ for some $i_0 \in I$. Then  \[\begin{tikzcd}
		0 \arrow{r} & \F(V) \arrow{r} & C^0(\underline{\mathcal U} \cap V, \F) \arrow{r} & C^1(\underline{\mathcal U} \cap V, \F) \arrow{r} & \dots 
	\end{tikzcd} \]
	But $\underline{\mathcal U} \cap V = \{U_i \cap V \}_{i \in I}$ is an open cover of $V$ such that $(\underline{\mathcal U} \cap V)_{i_0} = U_{i_0} \cap V = V$. So by \Cref{lemma1} and since $\F$ is a sheaf, the complex given above is exact. Now take limit $\varinjlim_{V \subset X}$ Taking cohomology commutes with direct limits. %?
\end{proof}
\begin{lemma} \label{lemma3}
	Assume $\F$ is a flabby sheaf. Then $\check H^p(\underline{\mathcal U},\F)=0$ for all $p > 0$ and all open covers $\underline{\mathcal U}$. 
\end{lemma}
\begin{proof}
	The sheaf $\res{\F}{U_{i_0 \dots i_p}}$ is flabby for all $i_0, \dots i_p$ since $\F$ is flabby. Therefore, $f_\ast(\res{\F}{U_{i_0 \dots i_p}})$ is flabby. All in all, $\mathcal C^p(\underline{\mathcal U},\F)$ is flabby. By \Cref{lemma2}, $\mathcal C^\bullet(\underline{\mathcal U},\F)$ is a flabby resolution of $\F$. Now take $\Gamma(X,-)$. 
	We obtain $\Gamma(\mathcal C^\bullet(\underline{\mathcal U},\F)) = C^\bullet(\underline{\mathcal U},\F)$. Now take $H^p$ \[0 = H^p(X,\F) = H^p(\Gamma(\mathcal C(\underline{\mathcal U},\F))) = \check H^p(\underline{\mathcal U},\F) \] since $\mathcal C^\bullet(\underline{\mathcal U},\F)$ is a flabby resolution and $\F$ is flabby.
\end{proof}
We will construct a map \[\check H^p(\underline{\mathcal U},\F) \longrightarrow H^p(X,\F)  \,. \] Let $\F,\underline{\mathcal U}$ be given. Pick an injective resolution \[\begin{tikzcd}
	0 \arrow{r} & \F \arrow[equal]{d} \arrow[hook]{r} & I^0 \arrow{r} & I^1 \arrow{r} & I^2 \arrow{r} & \dots \\
	0 \arrow{r} & \F \arrow{ur} \arrow{r} & \mathcal C^0(\underline{\mathcal U},\F) \arrow{r} \arrow[dashed]{u}{\exists \varphi_0} & \mathcal C^1(\underline{\mathcal U},\F) \arrow{r} \arrow[dashed]{u}{\exists \varphi_1} & \mathcal C^1(\underline{\mathcal U},\F) \arrow{u}{\exists \varphi_2} \arrow{r} & \dots
\end{tikzcd} \]
Get morphism of complexes \[\varphi \colon \mathcal C^\bullet(\underline{\mathcal U},\F) \longrightarrow I^\bullet \] such that $H^0(\varphi) = \id_\F$. This is unique up to homotopy. Take $H^p \circ \Gamma(X,-)$ and obtain \[\tau_{\underline{\mathcal U},\F} \colon \check H^p(\underline{\mathcal U},\F) \longrightarrow H^p(X,\F) \,. \]
\begin{lemma}~ \vspace{-\topsep} \label{lemma4}
	\begin{enumerate}
		\item The function $\tau_{\underline{\mathcal U},\F}$ is functorial in $\F$, i.e. given $f \colon \F \to \G$ the diagram \[\begin{tikzcd}
			\check H^p(\underline{\mathcal U},\F) \arrow{r}{f}  \arrow{d}{\tau_{\underline{\mathcal U},\F}} & \check H^p(\underline{\mathcal U},\F) \arrow{d}{\tau_{\underline{\mathcal U},\G}} \\
			H^p(X,\F) \arrow{r} & H^p(X,\G)
		\end{tikzcd} \]
		commutes. 
		\item The function $\tau_{\underline{\mathcal U},\F}$ is compatible with respect to refinements, i.e. for all refinements $\underline{\mathcal V}$ of $\underline{\mathcal U}$ we have $\tau_{\underline{\mathcal V},\F} \circ \overline R_{\underline{\mathcal V}\underline{\mathcal U}} = \tau_{\underline{\mathcal U},\F}$
	\end{enumerate}
\end{lemma}
\begin{proof}~ \vspace{-\topsep}
	\begin{enumerate}
	\item Build a commutative diagram \[\begin{tikzcd}
	 	\mathcal C^\bullet(\underline{\mathcal U},\F) \arrow{r}{f} \arrow{d} & \mathcal C^\bullet (\underline{\mathcal U},\G) \arrow{d} \\
	 	\I^\bullet \arrow{r} & \mathcal J^\bullet
	 \end{tikzcd}\]
	 \item Consider \[\begin{tikzcd}
		\mathcal C^\bullet(\underline{\mathcal U},\F) \arrow{dd}{R} \arrow{dr}{\varphi_U} \\
		& \I\\
		\mathcal C^\bullet(\underline{\mathcal U},\G) \arrow{ur}{\varphi_V}
	 \end{tikzcd} \]
	 with chosen $\varphi_u,\varphi_V$. By uniqueness of the lift above the diagram commutes up to homotopy. \qedhere
	 \end{enumerate}
\end{proof}
\begin{proof}[Proof of \Cref{cechsheaf}, in the case where $X$ is Noetherian] %Let $X$ be a seperated scheme, $\F$ quasi-coherent, $\underline{\mathcal U}$ be an affine open cover. Then $\tau_{\underline{\mathcal U},\F}$ is an isomorphism for all $p>0$. 

We can embed $\F\hookrightarrow \G$ where $\G$ is flabby, quasi-coherent ($X$ Noetherian). 

Consider \[\begin{tikzcd}
 0 \arrow{r} & \F \arrow{r} & \G \arrow{r} & \G/\F \arrow{r} & 0
\end{tikzcd} \]
Since $X$ is seperated, $U_{i_0 \dots i_p}$ is affine for all $i_0 \dots i_p$.
Evaluate this the sequence at $U_{i_0 \dots i_p}$. We obtain \[\begin{tikzcd}
0 \arrow{r} & \F(U_{i_0 \dots i_p}) \arrow{r} & \G(U_{i_0 \dots i_p}) \arrow{r} & (\G/\F)(U_{i_0 \dots i_p}) \arrow{r} & H^1(U_{i_0 \dots i_p},\F) = 0
\end{tikzcd} \]
using \Cref{Serre}. Therefore, \[\begin{tikzcd} 0 \arrow{r} & \mathcal C^\bullet(\underline{\mathcal U},\F) \arrow{r} & \mathcal C^\bullet(\underline{\mathcal U},\G) \arrow{r} & \mathcal C^\bullet(\underline{\mathcal U},\G/\F) \arrow{r} & 0 \end{tikzcd} \]
is exact. Take the associated long exact sequence in cohomology \[\begin{tikzcd}
0 \arrow{r} & \check H^0(\underline{\mathcal U},\F) \arrow{r} & \check H^0(\underline{\mathcal U},\G) \arrow{r} & \check H^0(\underline{\mathcal U},\G/F) \\
\, \arrow{r} & \check H^1(\underline{\mathcal U},\F) \arrow{r} & \check H^1(\underline{\mathcal U},\G) \arrow{r} & \check H^1(\underline{\mathcal U},\G/F) \\
\, \arrow{r} & \check H^2(\underline{\mathcal U},\F) \arrow{r} & \check H^2(\underline{\mathcal U},\G) \arrow{r} & \check H^2(\underline{\mathcal U},\G/F)
\end{tikzcd} \]
Now use that $\check H^i(\underline{\mathcal U},\G)=0$ for $i > 0$ (\Cref{lemma3}). We get 
\[\begin{tikzcd}
0 \arrow{r} & \check H^0(\underline{\mathcal U},\F) \arrow[equal]{d} \arrow{r} & \check H^0(\underline{\mathcal U},\G) \arrow{r} \arrow[equal]{d} & \check H^0(\underline{\mathcal U},\G/F) \arrow[equal]{d} \arrow{r} & \check H^1(\underline{\mathcal U},\F) \arrow{d} \arrow{r} & 0 \\
0 \arrow{r} & \F(X) \arrow{r} & \G(X) \arrow{r} & (\G,
/\F)(X) \arrow{r} & H^1(X,\F) \arrow{r} & 0
\end{tikzcd}\]
which gives $\check H^1(\underline{\mathcal U},\F) \cong H^1(X,\F)$ for all quasi-coherent $\F$. For $p>2$ consider 
\[\begin{tikzcd}
	\check H^{p-1}(\underline{\mathcal U},\G/\F) \arrow{r}{\sim}[swap]{\text{LES}} \arrow{d}{\cong}[swap]{\text{induc.}} & \check H^p(\underline{\mathcal U},\F) \arrow{d} \\
	H^{p-1}(X,\G/\F) \arrow{r}{\sim}[swap]{\text{LES}} & H^p(X,\F)
\end{tikzcd} \]
which proves the claim by induction. Note that since $\G$ is quasi-coherent, $\G/\F$ is quasi-coherent. The only thing we still need to check that the isomorphism actually is $\tau_{\underline{\mathcal U},\F}$. We claim that there is a commutative diagram with exact rows 
\[\begin{tikzcd}
	0 \arrow{r} & \mathcal C^\bullet(\underline{\mathcal U},\F) \arrow{d}{\varphi_I} \arrow{r} & \mathcal C^\bullet(\underline{\mathcal U},\F) \arrow{d}{\varphi_J} \arrow{r} & \mathcal C^\bullet(\underline{\mathcal U},\G/F) \arrow{r} & 0 \\
	0 \arrow{r} & \I^\bullet \arrow{r} & \mathcal J^\bullet \arrow{r} & \mathcal K^\bullet \arrow{r} & 0
\end{tikzcd}\]
where $\mathcal I^\bullet,\mathcal J^\bullet,\mathcal K^\bullet$ are injective resolution of $\F, \G, \G/\F$ respectively and $H^0(\varphi_I)=\id_\F$ etc. Apply $\Gamma$ to this commutative diagram and obtain 
\[\begin{tikzcd}
0 \arrow{r} & C^\bullet(\underline{\mathcal U},\F) \arrow{d}{\varphi_I} \arrow{r} & C^\bullet(\underline{\mathcal U},\F) \arrow{d}{\varphi_J} \arrow{r} & C^\bullet(\underline{\mathcal U},\G/F) \arrow{r} & 0 \\
0 \arrow{r} & \Gamma(\mathcal I^\bullet) \arrow{r} & \Gamma(\mathcal J^\bullet) \arrow{r} & \Gamma(\mathcal K^\bullet) \arrow{r} & 0
\end{tikzcd}\]
the first row is exact as before, the second one is exact since $I^\bullet$ is injective. Take long exact sequence, then the vertical maps are $\tau_{\underline{\mathcal U},\F},\tau_{\underline{\mathcal U},\G}, \dots$ by construction. 

We still ne to prove the existence of the maps above. There is an abstract reason for this. Let $\mathcal B$ be the category of short exact sequence in $\operatorname{Sh}(X)$. Then 
\begin{itemize}
	\item $K=\left[0 \to \F \to \G \to \G/\F \to 0 \right] \in \mathcal B $ and
	\item $C^\bullet = \left[ 0 \to \mathcal C^\bullet(\underline{\mathcal U},\F) \to C^\bullet(\underline{\mathcal U},\F)  \to C^\bullet(\underline{\mathcal U},\G)  \to C^\bullet(\underline{\mathcal U},\F/\G) \to 0  \right]$ is a resolution of $K$ in $\mathcal B$. 
\end{itemize} 
By a Fact of Grothendieck's paper, $\mathcal B$ has enough injectives (since $\operatorname{Sh}(X)$ has) Pick injective resolution \[\begin{tikzcd}
	K \arrow{r} & A_0 \arrow{r} & A_1 \arrow{r} & A_2 \arrow{r} & \dots \\
	K \arrow[equal]{u} \arrow{r} & \mathcal C^0 \arrow[dashed]{u}{\varphi_0} \arrow{r} & \mathcal C^1 \arrow[dashed]{u}{\varphi_1} \arrow{r} & \mathcal C^2 \arrow[dashed]{u}{\varphi_2} \arrow{r} & \dots 
\end{tikzcd} \]
\end{proof} 